import 'package:apk_update/utils/utils.dart';
import 'package:flutter/material.dart';

import 'apk_update_platform_interface.dart';

class ApkUpdate {
  /// 检测应用版本
  checkAppVersion({
    required String baseUrl,
    required int versionNumber,
    required int productNo,
    bool onceDay = false,
    required String appleId,
  }) {
    //App2.vipApp,3，vip-pc。4，马上富通。5，马上富通pc。6，微信货主。7，货主pc。8，马上审。默认为1
    checkVersion(
      url: "$baseUrl$getSystemVersionByNumber",
      versionNumber: versionNumber,
      productNo: productNo,
      onceDay: onceDay,
      jumpAppStore: () {
        // 跳转AppStore
        debugPrint("===== jumpAppStore");
        ApkUpdatePlatform.instance.jumpAppStore(appleId);
      },
      installApk: (String? path) {
        // 安装Apk
        debugPrint("===== installApk");
        ApkUpdatePlatform.instance.installApk(path);
      },
      downloadApkError: () {
        // 下载Apk错误
        debugPrint("===== downloadApkError");
      },
    );
    // ApkUpdatePlatform.instance.getPlatformVersion();
  }
}
